Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Enum TransactionRejectReason2Code

- java.lang.Object
- - java.lang.Enum<TransactionRejectReason2Code>
  - - org.kapott.hbci.sepa.jaxb.camt_052_001_01.TransactionRejectReason2Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TransactionRejectReason2Code>`

    public enum TransactionRejectReason2Code
    extends java.lang.Enum<TransactionRejectReason2Code>

Java class for TransactionRejectReason2Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TransactionRejectReason2Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="AC01"/>
         <enumeration value="AC04"/>
         <enumeration value="AC06"/>
         <enumeration value="AM01"/>
         <enumeration value="AM02"/>
         <enumeration value="AM03"/>
         <enumeration value="AM04"/>
         <enumeration value="AM05"/>
         <enumeration value="AM06"/>
         <enumeration value="AM07"/>
         <enumeration value="BE01"/>
         <enumeration value="BE04"/>
         <enumeration value="BE05"/>
         <enumeration value="AG01"/>
         <enumeration value="AG02"/>
         <enumeration value="DT01"/>
         <enumeration value="RF01"/>
         <enumeration value="RC01"/>
         <enumeration value="TM01"/>
         <enumeration value="ED01"/>
         <enumeration value="ED03"/>
         <enumeration value="MS03"/>
         <enumeration value="MS02"/>
         <enumeration value="BE06"/>
         <enumeration value="BE07"/>
         <enumeration value="AM09"/>
         <enumeration value="AM10"/>
         <enumeration value="MD01"/>
         <enumeration value="MD02"/>
         <enumeration value="MD03"/>
         <enumeration value="MD04"/>
         <enumeration value="MD06"/>
         <enumeration value="MD07"/>
         <enumeration value="ED05"/>
         <enumeration value="NARR"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`AC_01`
`AC_04`
`AC_06`
`AG_01`
`AG_02`
`AM_01`
`AM_02`
`AM_03`
`AM_04`
`AM_05`
`AM_06`
`AM_07`
`AM_09`
`AM_10`
`BE_01`
`BE_04`
`BE_05`
`BE_06`
`BE_07`
`DT_01`
`ED_01`
`ED_03`
`ED_05`
`MD_01`
`MD_02`
`MD_03`
`MD_04`
`MD_06`
`MD_07`
`MS_02`
`MS_03`
`NARR`
`RC_01`
`RF_01`
`TM_01`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TransactionRejectReason2Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static TransactionRejectReason2Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransactionRejectReason2Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AC_01

    public static final TransactionRejectReason2Code AC_01

#### AC_04

    public static final TransactionRejectReason2Code AC_04

#### AC_06

    public static final TransactionRejectReason2Code AC_06

#### AM_01

    public static final TransactionRejectReason2Code AM_01

#### AM_02

    public static final TransactionRejectReason2Code AM_02

#### AM_03

    public static final TransactionRejectReason2Code AM_03

#### AM_04

    public static final TransactionRejectReason2Code AM_04

#### AM_05

    public static final TransactionRejectReason2Code AM_05

#### AM_06

    public static final TransactionRejectReason2Code AM_06

#### AM_07

    public static final TransactionRejectReason2Code AM_07

#### BE_01

    public static final TransactionRejectReason2Code BE_01

#### BE_04

    public static final TransactionRejectReason2Code BE_04

#### BE_05

    public static final TransactionRejectReason2Code BE_05

#### AG_01

    public static final TransactionRejectReason2Code AG_01

#### AG_02

    public static final TransactionRejectReason2Code AG_02

#### DT_01

    public static final TransactionRejectReason2Code DT_01

#### RF_01

    public static final TransactionRejectReason2Code RF_01

#### RC_01

    public static final TransactionRejectReason2Code RC_01

#### TM_01

    public static final TransactionRejectReason2Code TM_01

#### ED_01

    public static final TransactionRejectReason2Code ED_01

#### ED_03

    public static final TransactionRejectReason2Code ED_03

#### MS_03

    public static final TransactionRejectReason2Code MS_03

#### MS_02

    public static final TransactionRejectReason2Code MS_02

#### BE_06

    public static final TransactionRejectReason2Code BE_06

#### BE_07

    public static final TransactionRejectReason2Code BE_07

#### AM_09

    public static final TransactionRejectReason2Code AM_09

#### AM_10

    public static final TransactionRejectReason2Code AM_10

#### MD_01

    public static final TransactionRejectReason2Code MD_01

#### MD_02

    public static final TransactionRejectReason2Code MD_02

#### MD_03

    public static final TransactionRejectReason2Code MD_03

#### MD_04

    public static final TransactionRejectReason2Code MD_04

#### MD_06

    public static final TransactionRejectReason2Code MD_06

#### MD_07

    public static final TransactionRejectReason2Code MD_07

#### ED_05

    public static final TransactionRejectReason2Code ED_05

#### NARR

    public static final TransactionRejectReason2Code NARR

### Method Detail

#### values

    public static TransactionRejectReason2Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionRejectReason2Code c : TransactionRejectReason2Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionRejectReason2Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static TransactionRejectReason2Code fromValue​(java.lang.String v)